Subject: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Jan 2022 20:06:14 +0200

>>> As the "default search engine" is a new option, changing the default to
>>> HTML DuckDuckGo should be fine.  I personally use it as by default
>>> search engine, but don't know how popular or unpopular it is.
>>>
>>> Adding the default DDG (and perhaps the lite version as well) as
>>> alternatives seems sensible too.
>>
>> The default DDG version has more features than the HTML one, so I think
>> that's what most people would prefer...
>
> Maybe one should not only configure a general search engine, but a
> search engine depending on a context.  Sometimes you might want to use a
> specialised search engine (e.g. hoogle when working on Haskell), and
> that should be automatically detected as the default.  In the same way,
> if EWW would be using a special "context" to designate that it wants a
> JS-free search engine (HTML DuckDuckGo).

This makes sense as well with e.g. webjump-context-search-engine.